Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80007 - redhat-config-network sets wrong permissions for /etc/hosts, /etc/resolv.conf
Summary: redhat-config-network sets wrong permissions for /etc/hosts, /etc/resolv.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 81720
TreeView+ depends on / blocked
 
Reported: 2002-12-18 18:56 UTC by Peter Lampione
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-04 09:48:57 UTC


Attachments (Terms of Use)

Description Peter Lampione 2002-12-18 18:56:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When redhat-config-network is used to modify settings after the first install
(launched from KDE in user mode), it writes the files
/etc/hosts
/etc/resolv.conf
with owner root and permission 600.  This causes DNS lookup for the user to fail
(other things may fail as well).

WORKAROUND: after using redhat-config-network, su to root, 
and manually change the permissions to 644. 

A very irritating bug (took long to figure out until I noticed 
that DNS _did_ work for root). 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use redhat-config-network from user. 
2.Modify the IP address, or something in the DNS entries, causing 
  redhat-config-network to re-write /etc/hosts and /etc/resolv.conf
3.Try to ping a host whose IP address is not known to the machine. 
    

Additional info:

Comment 1 Harald Hoyer 2003-01-13 15:20:59 UTC
new packages to test available at:
ftp://people.redhat.com/harald/redhat-config-network/1.1.87-1/
ftp://people.redhat.com/harald/rhpl/0.74-2/

Comment 2 Harald Hoyer 2004-06-04 09:48:57 UTC
Closing due to inactivity. Reopen, if the problem is still existing.


Note You need to log in before you can comment on or make changes to this bug.